package org.springblade.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author July
 * @version 1.0.0
 * @ClassName SenderType.java
 * @Description 通知发送人类型
 * @createTime 2021年11月03日 17:00:00
 */
@Getter
@AllArgsConstructor
public enum SenderType {
	SHOP("SHOP", "商家"),
	MALL("MALL", "商场"),
	PLATFORM("PLATFORM", "平台"),
	;

	@EnumValue
	@JsonValue
	private String value;
	private String dec;

}
